cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Edwards
Level 3

SQL SERVER 2005 EXPRESS Redist.

Hi,
I've added SQL Server 2005 as a redistributable, but the installer then complains that it can't find 'Microsoft .NET Framework 2.0 SP2.prq'.

I've read elsewhere that this is not of installshield.

So, how do I get SQL Server to install? And/or how do I get/download

'Microsoft .NET Framework 2.0 SP2.prq'

Thanks
0 Kudos
5 Replies
DebbieL
Level 17

In the Redistributables view, you should see an InstallShield prerequisite called Microsoft .NET Framework 2.0 SP2. Select the check box for that prerequisite. If the Location column for that prerequisite indicates Needs to be downloaded, right-click it and then click Download Selected Item. The prerequisite files should then be downloaded to your machine.

When you're done with that, rebuild your installation.

I hope that helps.
0 Kudos
Edwards
Level 3

Hi,

I should mention I'm running the Light Edition via VS2010.
Under redistributables, it only goes back as far as .net framework 3.5
0 Kudos
Madusree
Level 7

Hi,

The .NET 2.0 SP2 prerequisite is not available in InstallShield Limited Edition.

This prerequisite is available in InstallShield Premier and Professional Editions.

You may also include your own custom prerequisite through the Prerequisite Editor which is available in InstallShield Premier and Professional Edition.

Thanks,
Madusree
0 Kudos
Edwards
Level 3

Thanks,

So returning to my original question. - How do I install SQL Sever 2005 ( which is available as a redistributable in the Limited Edition) if it has a dependency on .net 2 framework?

Thanks in advance.
0 Kudos
Madusree
Level 7

Hi,

I believe prerequisite SQL Sever 2005 is already Installed locally in your case and while Installing you are encountering Error because its dependencies are not found.

While downloading redistributable even its dependencies will be downloaded.

I would suggest you to delete the SQL Sever 2005 Folder under C:\Program Files\InstallShield\2011LE\SetupPrerequisites and now that you when you select SQL Sever 2005, all of its dependencies such as .NET 2 Framework will also get downloaded .

Thanks,
Madu
0 Kudos